<template>
  <div>
    <div class="color-preview" :style="style">{{ node }}</div>
    <p>{{ price }}</p>
  </div>
</template>

<script>
export default {
  name: "ColorView",
  props: {
    color: {
      type: String,
      default: "red",
    },
    node: String,
    price: {
      type: Number,
      required: true,
      validator(value) {
        return value >= 0;
      },
    },
  },
  computed: {
    style() {
      return { backgroundColor: this.color };
    },
  },
};
</script>